Problem with actions/setup-node@v2 on yarn2

Hello, I’ve been updating a project to yarn2 and the action does not work, I read all the docs and don’t find if any additional setup needs to be done for the action to work with yarn2.
Here is the error:

Attempting to download 15.x... Not found in manifest. Falling back to download directly from Node Acquiring 15.14.0 - x64 from https://nodejs.org/dist/v15.14.0/node-v15.14.0-linux-x64.tar.gz Extracting ... /usr/bin/tar xz --strip 1 --warning=no-unknown-keyword -C /home/runner/work/_temp/432aa395-d9a6-4f48-8fb2-920d7e57bbf2 -f /home/runner/work/_temp/91d0cde6-e94f-4d22-96d5-03ec7f0a24ee Adding to the cache ... Done /usr/local/bin/yarn --version node:internal/modules/cjs/loader:927 throw err; ^ Error: Cannot find module '/home/runner/work/***/***/.yarn/releases/yarn-berry.cjs' at Function.Module._resolveFilename (node:internal/modules/cjs/loader:924:15) at Function.Module._load (node:internal/modules/cjs/loader:769:27) at Function.executeUserEntryPoint [as runMain] (node:internal/modules/run_main:76:12) at node:internal/main/run_main_module:17:47 { code: 'MODULE_NOT_FOUND', requireStack: [] } Error: The process '/usr/local/bin/yarn' failed with exit code 1

Also here is a snipped from the .yml file:

      - uses: actions/checkout@v2
      - name: Use Node 14.x
        uses: actions/setup-node@v2
        with:
          node-version: '15.x'
          cache: 'yarn'
      - name: Install dependencies
        run: yarn
      - name: Run docker
        run: yarn run docker
     (...)

seems this problem was because I didn’t commit my .yarn folder and didn’t respect the yarn2 git ignore recommendations.